# Disable

{% code overflow="wrap" lineNumbers="true" fullWidth="true" %}

```csharp
using UnityEngine;

public class RadialMenuExample : MonoBehaviour
{
	// BE SURE TO ASSIGN THIS IN THE INSPECTOR //
	public UltimateRadialMenu radialMenu;

	void Update ()
	{
		// If the space key was pressed this frame and the radial menu is already enabled, call Disable() to enable the menu.
		if( Input.GetKeyDown( KeyCode.Space ) && radialMenu.IsEnabled )
			radialMenu.Disable();
	}
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tankandhealerstudio.com/assets/ultimateradialmenu/documentation/ultimateradialmenu/public-methods/disable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
